classification
Title: Traceback doesn't run back all the way
Type: behavior Stage:
Components: None Versions: Python 2.6
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: Nosy List: flox, pinkisntwell, vstinner
Priority: normal Keywords:

Created on 2008-10-10 08:53 by pinkisntwell, last changed 2009-11-26 01:54 by benjamin.peterson. This issue is now closed.

Messages (3)
msg74621 - (view) Author: (pinkisntwell) Date: 2008-10-10 08:53
I just got an exception and the traceback wouldn't go all the 
way to the statement that threw the exception. I found that out 
by using the debugger.

Contrast the traceback:

http://tinyurl.com/5xglde

with the debugger output (notice the arrow pointing to the last 
statement the traceback showed and how the execution went on 
beyond it):

http://tinyurl.com/3fjgrl
msg74629 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2008-10-10 11:56
Can you write an example to reproduce your traceback? You don't give 
enough informations to see what is the type of your variable, which 
modules are used, etc.
msg95722 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2009-11-25 17:16
It looks similar to issue7378, but the latter has more details.

Close as duplicate?
History
Date User Action Args
2009-11-26 01:54:20benjamin.petersonsetstatus: open -> closed
resolution: duplicate
2009-11-25 17:16:44floxsetnosy: + flox
messages: + msg95722
2008-10-10 11:56:10vstinnersetnosy: + vstinner
messages: + msg74629
2008-10-10 08:53:37pinkisntwellcreate